package syncloud.filesystem;

import syncloud.storage.*;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class FSStorage implements IStorage {

    private StorageKey key;

    public FSStorage(StorageKey key) {
        this.key = key;
    }

    @Override
    public StorageKey getKey() {
        return key;
    }

    @Override
    public List<IFolder> getRoots() {
        File[] roots = File.listRoots();
        List<IFolder> rootsList = new ArrayList<IFolder>();
        for(File root: roots) {
            if (root.exists())
                rootsList.add(new FSFolder(NodeKey.create(key, root.getAbsolutePath())));
        }
        return rootsList;
    }
}
